| Home · All Classes · All Namespaces · Modules · Functions · Files

# ConnectionCapabilities Class Reference

The ConnectionCapabilities class provides an object representing the capabilities of a Tp::Connection. More...

`#include <TelepathyQt4/ConnectionCapabilities>`

Inherits Tp::CapabilitiesBase.

List of all members.

## Public Member Functions

- virtual ~ConnectionCapabilities ()
- bool supportsTextChatrooms () const

## Detailed Description

The ConnectionCapabilities class provides an object representing the capabilities of a Tp::Connection.

## Constructor & Destructor Documentation

~ConnectionCapabilities | ( |  | ) | `[virtual]`

Class destructor.

## Member Function Documentation

bool supportsTextChatrooms | ( |  | ) | const

Return true if named text chatrooms can be joined by providing a chatroom identifier.

If the protocol is such that chatrooms can be joined, but only via a more elaborate D-Bus API than normal (because more information is needed), then this method will return false.

Returns:
  true if Tp::Account::ensureTextChatroom() can be expected to work.